export * from './interfaces/redux-action-with-payload.interface';
export * from './decorators';
export * from './interfaces/redux-child-module-config.interface';
export * from './interfaces/redux-root-module-config.interface';
export * from './interfaces/redux-root-state.interface';
export * from './providers/redux-reducer.provider';
export * from './decorators/redux-select.decorator';
export * from './pipes/redux-select.pipe';
export * from './redux-selector';
export * from './tokens/redux-state-definition.token';
export * from './interfaces/redux-state-definition.interface';
export * from './providers/redux-state.provider';
export * from './tokens/redux-store.token';
export * from './testing/store';
export * from './testing/state';
export * from './providers/redux-registry';
export { ReduxModule } from './redux.module';
import { ReduxActionDispatcher } from '@harmowatch/redux-decorators';
export declare const getActionType: typeof ReduxActionDispatcher.getType;
export declare const dispatch: typeof ReduxActionDispatcher.dispatch;
import './plugins/karma/index';
