import { Action, Store, Unsubscribe } from 'redux';
import { Type } from '@angular/core';
import { ReduxRootState } from '../interfaces/redux-root-state.interface';
import { ReduxStateProvider } from '../providers/redux-state.provider';
export declare class ReduxTestingStore implements Store<{}> {
    private state;
    static factory(): ReduxTestingStore;
    setState<S>(state: Type<ReduxStateProvider>, value: S): Promise<ReduxRootState>;
    getState(): {};
    subscribe(listener: () => void): Unsubscribe;
    replaceReducer(): void;
    dispatch<T extends Action>(action: T): T;
}
